%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}

Name:           ocaml-expat
Version:        0.9.1
Release:        17%{?dist}
Summary:        OCaml wrapper for the Expat XML parsing library

Group:          Development/Libraries
License:        MIT
URL:            http://www.xs4all.nl/~mmzeeman/ocaml/
Source0:        http://www.xs4all.nl/~mmzeeman/ocaml/ocaml-expat-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExcludeArch:    sparc64 s390 s390x

BuildRequires:  ocaml >= 3.10.1
BuildRequires:  ocaml-findlib-devel, expat-devel >= 2.0.1, chrpath
BuildRequires:  util-linux-ng, gawk

%define _use_internal_dependency_generator 0
%define __find_requires /usr/lib/rpm/ocaml-find-requires.sh
%define __find_provides /usr/lib/rpm/ocaml-find-provides.sh

%description
An ocaml wrapper for the Expat XML parsing library. It allows you to
write XML-Parsers using the SAX method. An XML document is parsed on
the fly without needing to load the entire XML-Tree into memory.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q


%build
make depend
make all
%if %opt
make allopt
%endif


%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

# Remove rpath from stublibs .so file and strip it.
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs/*.so
strip $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs/*.so


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENCE README changelog
%{_libdir}/ocaml/expat
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner
%if %opt
%exclude %{_libdir}/ocaml/expat/*.a
%exclude %{_libdir}/ocaml/expat/*.cmxa
%endif
%exclude %{_libdir}/ocaml/expat/*.mli


%files devel
%defattr(-,root,root,-)
%doc LICENCE README changelog
%if %opt
%{_libdir}/ocaml/expat/*.a
%{_libdir}/ocaml/expat/*.cmxa
%endif
%{_libdir}/ocaml/expat/*.mli


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Richard W.M. Jones <rjones@redhat.com> - 0.9.1-16
- Rebuild for OCaml 3.11.1

* Thu Apr 16 2009 S390x secondary arch maintainer <fedora-s390x@lists.fedoraproject.org>
- ExcludeArch sparc64, s390, s390x as we don't have OCaml on those archs
  (added sparc64 per request from the sparc maintainer)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 26 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.1-14
- Rebuild for OCaml 3.11.0+rc1.

* Wed Nov 19 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.1-13
- Rebuild for OCaml 3.11.0

* Mon Aug 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.1-12
- fix license tag

* Wed Apr 23 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.1-11
- Rebuild for OCaml 3.10.2

* Sat Mar  1 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.1-10
- Rebuild for ppc64.

* Tue Feb 12 2008 Richard W.M. Jones <rjones@redhat.com> - 0.9.1-9
- Rebuild for OCaml 3.10.1.

* Thu Sep  6 2007 Richard W.M. Jones <rjones@redhat.com> - 0.9.1-8
- Force rebuild because of updated requires/provides scripts in OCaml.

* Thu Aug 30 2007 Richard W.M. Jones <rjones@redhat.com> - 0.9.1-7
- Force rebuild because of changed BRs in base OCaml.

* Tue Aug 28 2007 Richard W.M. Jones <rjones@redhat.com> - 0.9.1-6
- Temporarily add BuildRequires: util-linux-ng to see if that cures
  problems building on Koji (note: builds work elsewhere, just not
  on Koji).

* Tue Aug 28 2007 Richard W.M. Jones <rjones@redhat.com> - 0.9.1-5
- Link against expat 2.x.

* Thu Aug  2 2007 Richard W.M. Jones <rjones@redhat.com> - 0.9.1-4
- ExcludeArch ppc64
- Remove rpath from the stublibs .so file.
- Strip the stublibs .so file.

* Tue Jun 19 2007 Richard W.M. Jones <rjones@redhat.com> - 0.9.1-3
- BuildRequires expat-devel.

* Mon Jun 11 2007 Richard W.M. Jones <rjones@redhat.com> - 0.9.1-2
- Updated to latest packaging guidelines.

* Sat May 26 2007 Richard W.M. Jones <rjones@redhat.com> - 0.9.1-1
- Initial RPM release.
